AOWP_FunctionCallJoinPoint (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.joinpoint /.AOWP_FunctionCallJoinPoint
/aspect/joinpoint/FunctionCallJoinPoint.class.php at line 13

# Class AOWP_FunctionCallJoinPoint

    AOWP_JoinPoint
        └─AOWP_JoinPointWithArguments
           └─AOWP_FunctionCallJoinPoint

public class AOWP_FunctionCallJoinPoint
extends AOWP_JoinPointWithArguments

関数呼び出しを表すジョインポイントです。

Author:
  keiji

Field Summary
private string | $_functionName
private mixed | $_staticArgumentCount

Fields inherited from aowp.aspect.joinpoint /.AOWP_JoinPointWithArguments
_argumentArray, _staticArgumentCount

Fields inherited from aowp.aspect.joinpoint /.AOWP_JoinPoint
_ast, _executedAdvice, _fileFullPath, _fileName, _line, _proceedFunctionName, _returnValue, _timestamp

Constructor Summary
AOWP_FunctionCallJoinPoint(mixed element, mixed fileName)

Method Summary
string | getFunctionName() 関数名を取得します。
int | getStaticArgumentCount()
mixed | proceed(mixed argumentArray, $argumentArray ) aroundアドバイスの時に、ポイントカットで選択した元の処理を呼び出します。 もし、ポイントカットで選択したジョインポイントが、引き数を持つ場合、引き数は、配列にして渡して下さい。 aroundアドバイス以外の時に呼び出した場合、何も処理をせず、返り値も返しません。 返り値は、元の処理に返り値が有る場合、その値が返ります。
void | setFunctionName(mixed functionName)
void | setStaticArgumentCount(int staticArgumentCount)

Methods inherited from aowp.aspect.joinpoint /.AOWP_JoinPointWithArguments
addArgument, getArgument, getArgumentArray, getStaticArgumentCount, setArgument, setStaticArgumentCount

Methods inherited from aowp.aspect.joinpoint /.AOWP_JoinPoint
getAST, getExecutedAdvice, getFileFullPath, getFileName, getFormData, getLineNumber, getReturnValue, getSessionID, getTimestamp, proceed, setAST, setExecutedAdvice, setProceedFunctionName, setReturnValue

## Field Detail

/aspect/joinpoint/FunctionCallJoinPoint.class.php at line 19

### _functionName

`private string $_functionName`

/aspect/joinpoint/FunctionCallJoinPoint.class.php at line 20

### _staticArgumentCount

`private mixed $_staticArgumentCount`

## Constructor Detail

/aspect/joinpoint/FunctionCallJoinPoint.class.php at line 22

### AOWP_FunctionCallJoinPoint

`public AOWP_FunctionCallJoinPoint(mixed element, mixed fileName)`

## Method Detail

/aspect/joinpoint/FunctionCallJoinPoint.class.php at line 45

### getFunctionName

`public string getFunctionName()`

関数名を取得します。

/aspect/joinpoint/FunctionCallJoinPoint.class.php at line 33

### getStaticArgumentCount

`public int getStaticArgumentCount()`

/aspect/joinpoint/FunctionCallJoinPoint.class.php at line 49

### proceed

`public mixed proceed(mixed argumentArray, $argumentArray )`

aroundアドバイスの時に、ポイントカットで選択した元の処理を呼び出します。 もし、ポイントカットで選択したジョインポイントが、引き数を持つ場合、引き数は、配列にして渡して下さい。 aroundアドバイス以外の時に呼び出した場合、何も処理をせず、返り値も返しません。 返り値は、元の処理に返り値が有る場合、その値が返ります。

/aspect/joinpoint/FunctionCallJoinPoint.class.php at line 37

### setFunctionName

`public void setFunctionName(mixed functionName)`

/aspect/joinpoint/FunctionCallJoinPoint.class.php at line 30

### setStaticArgumentCount

`public void setStaticArgumentCount(int staticArgumentCount)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr